package com.xmomen.module.system.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.system.entity.SysTask;
import com.xmomen.module.system.entity.SysTaskExample;
import org.apache.ibatis.annotations.Param;

// 定义SysTaskMapper接口，继承MybatisMapper
public interface SysTaskMapper extends MybatisMapper {
    // 根据条件统计SysTask数量
    int countByExample(SysTaskExample example);

    // 根据条件删除SysTask
    int deleteByExample(SysTaskExample example);

    // 插入SysTask
    int insertSelective(SysTask record);

    // 根据条件更新SysTask
    int updateByExampleSelective(@Param("record") SysTask record, @Param("example") SysTaskExample example);
}